import requests
from http.cookiejar import CookieJar

from ..utils import get_user_agent


class BaseFxcker:
    def __init__(self):
        self.cookie_jar = CookieJar()

    @property
    def FXCKER_KEY(self):
        return self.__class__.__name__[:-6]

    def request(self, method, url, **kwargs):
        kwargs["cookies"] = self.cookie_jar
        if not kwargs["headers"]:
            kwargs["headers"] = {}
        if not kwargs["headers"]["User-Agent"]:
            kwargs["headers"]["User-Agent"] = get_user_agent()
        return requests.request(method, url, **kwargs)
